NetSDS::Conf(3pm)

NAME
NetSDS::Conf - API to configuration files

SYNOPSIS
        use NetSDS::Conf;

        my $cf = NetSDS::Conf->getconf($conf_file);
        my $val = $cf->{'parameter'};

DESCRIPTION
NetSDS::Conf module is a wrapper to Config::General handler for NetSDS configuration files.

This package is for internal usage and is called from NetSDS::App or inherited modules and should be never used directly from applications.

getconf() - read parameters from configuration file
    Paramters: configuration file name

    Returns: cofiguration as hash reference

    This method tries to read configuration file and fill object properties with read values.

    NOTE: Parameters set from command line will not be overriden.

EXAMPLES

BUGS
Unknown

SEE ALSO
Getopt::Long, Config::General, NetSDS::Class::Abstract

TODO
1. Improve documentation.

AUTHOR
Michael Bochkaryov <misha@rattler.kiev.ua>